# accountUpdate

Update an account

**Scope required:** standard:write

For a complete list of input attributes see the [AccountAttributes](/developer/api-reference/types/accountattributes.md) type

```graphql
mutation accountUpdate ($id: ID!, $attributes: AccountAttributes!) {
  accountUpdate (id: $id, attributes: $attributes) {
      account {
        accountTypeId
        addressValidated
        annualRevenue
        arr
        billingCity
        billingContactId
        billingCountry
        billingDay
        billingState
        billingStreet
        billingZip
        code
        consolidatedBilling
        createdAt
        currencyId
        customFieldsData
        description
        disableDunning
        draftInvoices
        duns
        effectiveBillingDate
        emailsEnabled
        employees
        entityId
        entityUseCode
        fax
        groupId
        hasCustomFields
        id
        industryId
        invoiceTemplateId
        linkedinUrl
        mrr
        mur
        name
        netPaymentDays
        newQuoteBuilder
        nextRenewal
        ownerUserId
        phone
        revenueToDate
        shippingCity
        shippingCountry
        shippingState
        shippingStreet
        shippingZip
        taxNumber
        taxNumberValidated
        timezone
        updatedAt
        website
      }
      errors
  }
}
```

## Arguments

```json
{
  "id": "456123",
  "attributes": {
    "code": "",
    "accountTypeId": "456123",
    "industryId": "456123",
    "employees": 123,
    "annualRevenue": 123,
    "name": "",
    "billingStreet": "",
    "billingCity": "",
    "billingState": "",
    "billingZip": "",
    "billingCountry": "",
    "billingContactId": "456123",
    "billingContact": {
      "code": "",
      "firstName": "",
      "lastName": "",
      "email": "",
      "salutation": "",
      "title": "",
      "phone": "",
      "mobile": "",
      "mailingStreet": "",
      "mailingCity": "",
      "mailingZip": "",
      "mailingState": "",
      "mailingCountry": "",
      "portalAccess": true,
      "description": "",
      "accountId": "456123",
      "accountCode": "",
      "campaignCode": "",
      "linkedinUrl": ""
    },
    "shippingStreet": "",
    "shippingCity": "",
    "shippingState": "",
    "shippingZip": "",
    "shippingCountry": "",
    "description": "",
    "phone": "",
    "fax": "",
    "website": "",
    "currencyId": "456123",
    "taxNumber": "",
    "groupId": "456123",
    "netPaymentDays": 123,
    "draftInvoices": true,
    "newQuoteBuilder": true,
    "duns": "",
    "timezone": "",
    "ownerUserId": "456123",
    "ipAddress": "",
    "entityUseCode": "",
    "linkedinUrl": "",
    "invoiceTemplateId": "456123",
    "entityId": "456123",
    "secondaryBillingContactIds": [
      "456123"
    ],
    "emailsEnabled": true,
    "disableDunning": true,
    "consolidatedBilling": true
  }
}
```

| Name       | Type                                                                     | Description |
| ---------- | ------------------------------------------------------------------------ | ----------- |
| id         | ID                                                                       |             |
| attributes | [AccountAttributes](/developer/api-reference/types/accountattributes.md) |             |

## Response

| Name    | Type                                                 | Description |
| ------- | ---------------------------------------------------- | ----------- |
| account | [Account](/developer/api-reference/types/account.md) |             |
| errors  | List (String)                                        |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/mutations/accountupdate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
